Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibatis.jpetstore.domain
Class Account

    java.lang.Object
      com.ibatis.jpetstore.domain.Account

All Implemented Interfaces:
  Serializable

public class Account
extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`private String` | `address1`
`private String` | `address2`
`private String` | `bannerImagePath`
`private boolean` | `bannerOption`
`private String` | `city`
`private String` | `country`
`private String` | `email`
`private String` | `favouriteCategoryId`
`private String` | `firstName`
`private String` | `languagePreference`
`private String` | `lastName`
`private boolean` | `listOption`
`private String` | `password`
`private String` | `phone`
`private String` | `state`
`private String` | `status`
`private String` | `username`
`private String` | `zip`

Constructor Summary
`Account()`

Method Summary
`String` | `getAddress1()`
`String` | `getAddress2()`
`String` | `getBannerImagePath()`
`String` | `getCity()`
`String` | `getCountry()`
`String` | `getEmail()`
`String` | `getFavouriteCategoryId()`
`String` | `getFirstName()`
`String` | `getLanguagePreference()`
`String` | `getLastName()`
`String` | `getPassword()`
`String` | `getPhone()`
`String` | `getState()`
`String` | `getStatus()`
`String` | `getUsername()`
`String` | `getZip()`
`boolean` | `isBannerOption()`
`boolean` | `isListOption()`
`void` | `setAddress1(String address1)`
`void` | `setAddress2(String address2)`
`void` | `setBannerImagePath(String bannerImagePath)`
`void` | `setBannerOption(boolean bannerOption)`
`void` | `setCity(String city)`
`void` | `setCountry(String country)`
`void` | `setEmail(String email)`
`void` | `setFavouriteCategoryId(String favouriteCategoryId)`
`void` | `setFirstName(String firstName)`
`void` | `setLanguagePreference(String languagePreference)`
`void` | `setLastName(String lastName)`
`void` | `setListOption(boolean listOption)`
`void` | `setPassword(String password)`
`void` | `setPhone(String phone)`
`void` | `setState(String state)`
`void` | `setStatus(String status)`
`void` | `setUsername(String username)`
`void` | `setZip(String zip)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### username

    private String username

### password

    private String password

### email

    private String email

### firstName

    private String firstName

### lastName

    private String lastName

### status

    private String status

### address1

    private String address1

### address2

    private String address2

### city

    private String city

### state

    private String state

### zip

    private String zip

### country

    private String country

### phone

    private String phone

### favouriteCategoryId

    private String favouriteCategoryId

### languagePreference

    private String languagePreference

### listOption

    private boolean listOption

### bannerOption

    private boolean bannerOption

### bannerImagePath

    private String bannerImagePath

Constructor Detail

### Account

    public Account()

Method Detail

### getUsername

    public String getUsername()

### setUsername

    public void setUsername(String username)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### getEmail

    public String getEmail()

### setEmail

    public void setEmail(String email)

### getFirstName

    public String getFirstName()

### setFirstName

    public void setFirstName(String firstName)

### getLastName

    public String getLastName()

### setLastName

    public void setLastName(String lastName)

### getStatus

    public String getStatus()

### setStatus

    public void setStatus(String status)

### getAddress1

    public String getAddress1()

### setAddress1

    public void setAddress1(String address1)

### getAddress2

    public String getAddress2()

### setAddress2

    public void setAddress2(String address2)

### getCity

    public String getCity()

### setCity

    public void setCity(String city)

### getState

    public String getState()

### setState

    public void setState(String state)

### getZip

    public String getZip()

### setZip

    public void setZip(String zip)

### getCountry

    public String getCountry()

### setCountry

    public void setCountry(String country)

### getPhone

    public String getPhone()

### setPhone

    public void setPhone(String phone)

### getFavouriteCategoryId

    public String getFavouriteCategoryId()

### setFavouriteCategoryId

    public void setFavouriteCategoryId(String favouriteCategoryId)

### getLanguagePreference

    public String getLanguagePreference()

### setLanguagePreference

    public void setLanguagePreference(String languagePreference)

### isListOption

    public boolean isListOption()

### setListOption

    public void setListOption(boolean listOption)

### isBannerOption

    public boolean isBannerOption()

### setBannerOption

    public void setBannerOption(boolean bannerOption)

### getBannerImagePath

    public String getBannerImagePath()

### setBannerImagePath

    public void setBannerImagePath(String bannerImagePath)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.